# Class LoopbackHTTPSocket

java.lang.Object
java.net.Socket
org.apache.jmeter.protocol.http.util.LoopbackHTTPSocket

All Implemented Interfaces:
  `Closeable, AutoCloseable`

public class LoopbackHTTPSocket extends Socket

## Constructor Summary

Constructors
Constructor
Description
`LoopbackHTTPSocket(String host, int port)`
`LoopbackHTTPSocket(String host, int port, InetAddress localAddr, int localPort)`
`LoopbackHTTPSocket(String host, int port, InetAddress localAddress, int localPort, int timeout)`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getInputStream()`
`OutputStream`
`getOutputStream()`

### Methods inherited from class Socket

`bind, close, connect, connect, getChannel, getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getOption, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setOption, setPerformancePreferences, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setSoLinger, setSoTimeout, setTcpNoDelay, setTrafficClass, shutdownInput, shutdownOutput, supportedOptions, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LoopbackHTTPSocket

public LoopbackHTTPSocket(String host, int port, InetAddress localAddress, int localPort, int timeout) throws IOException

Throws:
  `IOException`

### LoopbackHTTPSocket

public LoopbackHTTPSocket(String host, int port, InetAddress localAddr, int localPort) throws IOException

Throws:
  `IOException`

### LoopbackHTTPSocket

public LoopbackHTTPSocket(String host, int port) throws UnknownHostException, IOException

Throws:
  `UnknownHostException`
  `IOException`

## Method Details

### getOutputStream

public OutputStream getOutputStream() throws IOException

Overrides:
  `getOutputStream` in class `Socket`
Throws:
  `IOException`

### getInputStream

public InputStream getInputStream() throws IOException

Overrides:
  `getInputStream` in class `Socket`
Throws:
  `IOException`